Home

Get round details by shard and round number

GET
https://egld-api.nownodes.io/rounds/{shard}/{round}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves detailed information about a specific consensus round, including whether a block was proposed, the epoch, timestamps, and the list of BLS keys of validators who signed the block.

Parameters

shardintegerrequiredpath

Shard identifier (0,1,2 for regular shards, 4294967295 for meta‑chain)

roundintegerrequiredpath

Round number (consensus round)

Response

200OK

Successful response